> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/kaiko-indices/reference-rates-capital-market/forex-conversion.md).

# FOREX conversion

## What is this endpoint for? <a href="#what-is-this-endpoint-for" id="what-is-this-endpoint-for"></a>

This endpoint retrieves a Reference Rate and converts it from USD into a local currency of your choosing using Forex Reference Rate as the source. This endpoint is for the following asset classes:

* Equity
* Fixed income
* Foreign exchange
* Commodities
* Real estate
* Digital assets

Available currencies: EUR / GBP / CHF / JPY / KRW / CAD / CNH / CNY / SGD / MXN / BRL

## Endpoints

{% tabs %}
{% tab title="gRPC Stream" %}

```url
gateway.equ.kaiko.io:443 kaiko.equities.EquitiesService/StreamForexRates
```

{% endtab %}

{% tab title="gRPC Replay" %}

```
gateway.equ.kaiko.io:443 kaiko.equities.EquitiesService/ReplayForexRates
```

{% endtab %}
{% endtabs %}

## Request parameters

{% hint style="info" %}
**Requesting multiple tickers at the same time**\
\
To configure multiple tickers in the same stream, provide the  `index_codes` as a comma separated list eg `["KK_RFR_AAPLUSD_EUR", "KK_RFR_A005930KRW_USD"]`
{% endhint %}

### Stream

<table><thead><tr><th width="131.6640625">Parameter</th><th width="380.9375">Description</th><th>Examples</th></tr></thead><tbody><tr><td><code>index_code</code></td><td>The Kaiko Capital Market Reference Rate ticker. You can find a full list of our tickers <a href="https://www.kaiko.com/products/rates-and-indices/kaiko-digital-asset-rates">here</a>.</td><td><code>"KK_RFR_AAPLUSD_EUR"</code></td></tr></tbody></table>

### Replay

<table><thead><tr><th width="184">Parameter</th><th width="400">Description</th><th>Examples</th></tr></thead><tbody><tr><td><code>index_codes</code></td><td>The list of Kaiko Reference Rate ticker. You can find a full list of our tickers <a href="https://www.kaiko.com/indices/reference-rates#table">here</a>.</td><td><code>KK_RFR_AAPLUSD</code></td></tr><tr><td><code>start_time</code></td><td>Start date of <code>exDate</code> in ISO 8601 (exclusive).</td><td><code>2026-04-22T05:04:32.000Z</code></td></tr><tr><td><code>end_time</code></td><td>Start date of <code>exDate</code> in ISO 8601 (inclusive).</td><td><code>2026-04-22T05:04:33.000Z</code></td></tr></tbody></table>

## Response fields

<table><thead><tr><th width="292.158203125">Field</th><th width="537">Description</th></tr></thead><tbody><tr><td><code>indexCode</code></td><td>The ticker identifying the rate.</td></tr><tr><td><code>price</code></td><td>The price of the Reference Rate in the <strong>converted currency.</strong></td></tr><tr><td><code>tsEvent</code></td><td>The exact time of converted reference rate publication.</td></tr><tr><td><code>composition</code></td><td></td></tr><tr><td>   <mark style="color:$tint;"><code>.underlying</code></mark></td><td></td></tr><tr><td>         <code>.name</code></td><td>The ticker identifying the Reference Rate</td></tr><tr><td>         <code>.price</code></td><td>The price of original Reference Rate publication.</td></tr><tr><td>         <code>.tsEvent</code></td><td>The exact time of original Reference Rate publication.</td></tr><tr><td>   <mark style="color:$tint;"><code>.fxRate</code></mark></td><td></td></tr><tr><td>         <code>.name</code></td><td>The ticker identifying the forex Reference Rate</td></tr><tr><td>         <code>.price</code></td><td>The price of forex Reference Rate publication</td></tr><tr><td>         <code>.tsEvent</code></td><td>The exact time of forex Reference Rate publication</td></tr></tbody></table>

### Request examples

{% tabs %}
{% tab title="cURL" %}
**cURL requests are intended for testing purposes only.**

{% code overflow="wrap" %}

```url
grpcurl \
  -H "Authorization: Bearer $KAIKO_API_KEY" \
  -d '{"index_codes":["KK_RFR_A005930KRW_USD"]}' \
  gateway.equ.kaiko.io:443 \
  kaiko.equities.EquitiesService/StreamForexRates
```

{% endcode %}
{% endtab %}

{% tab title="cURL - Replay" %}

```
grpcurl
  -H "Authorization: Bearer $KAIKO_API_KEY" \
  -d '{
    "index_codes": ["KK_RFR_A005930KRW_USD"],
    "start_time": "2026-05-18T02:00:00Z",
    "end_time": "2026-05-18T02:00:05Z"
  }' \
  gateway.equ.kaiko.io:443 \
  kaiko.equities.EquitiesService/ReplayForexRates
```

{% endtab %}
{% endtabs %}

## Response Example

```json
{
  "indexCode": "KK_RFR_A005930KRW_USD",
  "price": 187.37048153198643,
  "tsEvent": "2026-05-18T02:00:04.376377752Z",
  "composition": {
    "underlying": {
      "name": "KK_RFR_A005930KRW",
      "price": 282056.2806693604,
      "tsEvent": "2026-05-18T02:00:04.358065922Z"
    },
    "fxRate": {
      "name": "KK_RFR_USDKRW",
      "price": 1505.34,
      "tsEvent": "2026-05-18T02:00:03.512848896Z"
    }
  }

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/kaiko-indices/reference-rates-capital-market/forex-conversion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
